REM simulate rain

SCREEN 2
lim = 200
DIM xa((lim), 4)
rit = 640
bot = 200
FOR t = 0 TO (lim)

z = INT(RND(1) * (rit)) + 1
xa(t, 0) = z
xa(t, 2) = INT(RND(1) * 10) + 1 + 5
NEXT t

DO
ke$ = INKEY$


FOR t = 0 TO (lim)

x = xa(t, 0)
y = xa(t, 1)
sp = xa(t, 2)
PSET (x, y), 0

y = y + sp
 IF y > (bot) THEN
   y = INT(RND(1) * 50) + 1
   x = INT(RND(1) * (rit)) + 1
   sp = INT(RND(1) * (10)) + 1 + 3: xa(t, 2) = sp

 END IF
PSET (x, y), 1

xa(t, 0) = x
 xa(t, 1) = y


NEXT t

LOOP UNTIL ke$ = CHR$(27)

